<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.10.0"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: melon::ModelParserFactory Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<script type="text/javascript" src="clipboard.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript" src="cookie.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.10.0 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function(){initNavTree('classmelon_1_1_model_parser_factory.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classmelon_1_1_model_parser_factory-members.html">List of all members</a>  </div>
  <div class="headertitle"><div class="title">melon::ModelParserFactory Class Reference<span class="mlabels"><span class="mlabel">abstract</span></span></div></div>
</div><!--header-->
<div class="contents">

<p>This class is a abstract parent class for model parser factories implemented in the MeLOn library.  
 <a href="#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="model_parser_8h_source.html">modelParser.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for melon::ModelParserFactory:</div>
<div class="dyncontent">
 <div class="center">
  <img src="classmelon_1_1_model_parser_factory.png" usemap="#melon::ModelParserFactory_map" alt=""/>
  <map id="melon::ModelParserFactory_map" name="melon::ModelParserFactory_map">
<area href="classmelon_1_1_ann_parser_factory.html" title="This class is a factory class for creating child instances of AnnParser." alt="melon::AnnParserFactory" shape="rect" coords="0,56,180,80"/>
<area href="classmelon_1_1_gp_parser_factory.html" title="This class is a factory class for creating child instances of GpParser." alt="melon::GpParserFactory" shape="rect" coords="190,56,370,80"/>
<area href="classmelon_1_1_mulfil_gp_parser_factory.html" title="Class that implements a factory for creating child instances of MulfilGpParser." alt="melon::MulfilGpParserFactory" shape="rect" coords="380,56,560,80"/>
<area href="classmelon_1_1_svm_parser_factory.html" title="This class is a factory class for creating child instances of SvmParser." alt="melon::SvmParserFactory" shape="rect" coords="570,56,750,80"/>
  </map>
</div></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:ac2fbebe2e5990174227796616d1a196f" id="r_ac2fbebe2e5990174227796616d1a196f"><td class="memItemLeft" align="right" valign="top">virtual std::unique_ptr&lt; <a class="el" href="classmelon_1_1_model_parser.html">ModelParser</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="#ac2fbebe2e5990174227796616d1a196f">create_model_parser</a> (const <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a> fileType=<a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23">MODEL_FILE_TYPE::CSV</a>)=0</td></tr>
<tr class="memdesc:ac2fbebe2e5990174227796616d1a196f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Abstract factory function for creating a instance of an model parser corresponding to the specified file type.  <br /></td></tr>
<tr class="separator:ac2fbebe2e5990174227796616d1a196f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This class is a abstract parent class for model parser factories implemented in the MeLOn library. </p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="ac2fbebe2e5990174227796616d1a196f" name="ac2fbebe2e5990174227796616d1a196f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac2fbebe2e5990174227796616d1a196f">&#9670;&#160;</a></span>create_model_parser()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">virtual std::unique_ptr&lt; <a class="el" href="classmelon_1_1_model_parser.html">ModelParser</a> &gt; melon::ModelParserFactory::create_model_parser </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531">MODEL_FILE_TYPE</a></td>          <td class="paramname"><span class="paramname"><em>fileType</em><span class="paramdefsep"> = </span><span class="paramdefval"><a class="el" href="namespacemelon.html#a4304be33fc99f22bd328db5774394531a6a25a8815b9ce41cb44aec7974135a23">MODEL_FILE_TYPE::CSV</a></span></span></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">pure virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Abstract factory function for creating a instance of an model parser corresponding to the specified file type. </p>
<p>fileType type of the file in which model is stored</p>
<dl class="section return"><dt>Returns</dt><dd>Pointer to an instance of a derived class of ModelParse </dd></dl>

<p>Implemented in <a class="el" href="classmelon_1_1_ann_parser_factory.html#a2fc484dcb4a19a486a409dd64f0d9304">melon::AnnParserFactory</a>, <a class="el" href="classmelon_1_1_gp_parser_factory.html#aa3c8f8c29a04819a72cc0757da9fcef6">melon::GpParserFactory</a>, <a class="el" href="classmelon_1_1_svm_parser_factory.html#abbf0961a2eb7424c573615f08ed7f3c2">melon::SvmParserFactory</a>, and <a class="el" href="classmelon_1_1_mulfil_gp_parser_factory.html#a2102af95f2d5f57e60444f8cc0db796b">melon::MulfilGpParserFactory</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>C:/Data/Git/MeLOn/common/inc/<a class="el" href="model_parser_8h_source.html">modelParser.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="namespacemelon.html">melon</a></li><li class="navelem"><a class="el" href="classmelon_1_1_model_parser_factory.html">ModelParserFactory</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.10.0 </li>
  </ul>
</div>
</body>
</html>
